summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-12-04 13:41:07 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-12-04 13:41:07 +0000
commit20cc77db6099f34fd9eb7575f42464fbf5098a4c (patch)
treec14a5fac447a0c5a3c460c7b3fd9359c40d584e7 /dev-python
parent01bf4bc0976510b38480b774b2dd23fd233d4e7a (diff)
downloadbaldeagleos-repo-20cc77db6099f34fd9eb7575f42464fbf5098a4c.tar.gz
baldeagleos-repo-20cc77db6099f34fd9eb7575f42464fbf5098a4c.tar.xz
baldeagleos-repo-20cc77db6099f34fd9eb7575f42464fbf5098a4c.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/QtPy/Manifest1
-rw-r--r--dev-python/QtPy/QtPy-1.11.3.ebuild158
-rw-r--r--dev-python/adblock/Manifest6
-rw-r--r--dev-python/adblock/adblock-0.5.1.ebuild111
-rw-r--r--dev-python/anyio/anyio-3.2.1.ebuild2
-rw-r--r--dev-python/aws-sam-translator/Manifest1
-rw-r--r--dev-python/aws-sam-translator/aws-sam-translator-1.42.0.ebuild47
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.20.20.ebuild59
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.23.20.ebuild65
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.56.3.ebuild54
-rw-r--r--dev-python/charset_normalizer/Manifest1
-rw-r--r--dev-python/charset_normalizer/charset_normalizer-2.0.9.ebuild27
-rw-r--r--dev-python/croniter/Manifest1
-rw-r--r--dev-python/croniter/croniter-1.1.0.ebuild25
-rw-r--r--dev-python/httpcore/httpcore-0.13.7.ebuild2
-rw-r--r--dev-python/httpx/httpx-0.19.0.ebuild27
-rw-r--r--dev-python/identify/identify-2.4.0.ebuild2
-rw-r--r--dev-python/packaging/packaging-21.3-r1.ebuild (renamed from dev-python/packaging/packaging-21.3.ebuild)5
-rw-r--r--dev-python/pillow/pillow-8.4.0.ebuild2
-rw-r--r--dev-python/pydantic/pydantic-1.8.2_p20210719.ebuild7
-rw-r--r--dev-python/pylint/Manifest1
-rw-r--r--dev-python/pylint/pylint-2.12.2.ebuild64
-rw-r--r--dev-python/pytest-toolbox/pytest-toolbox-0.4.ebuild2
-rw-r--r--dev-python/raet/raet-0.6.8-r3.ebuild1
-rw-r--r--dev-python/typed-ast/Manifest1
-rw-r--r--dev-python/typed-ast/typed-ast-1.5.1.ebuild23
-rw-r--r--dev-python/ukkonen/ukkonen-1.0.0.ebuild2
-rw-r--r--dev-python/uvicorn/uvicorn-0.15.0_p20210913.ebuild2
-rw-r--r--dev-python/uvloop/uvloop-0.16.0.ebuild2
-rw-r--r--dev-python/watchgod/watchgod-0.7.ebuild2
-rw-r--r--dev-python/werkzeug/files/werkzeug-2.0.1-py310.patch103
-rw-r--r--dev-python/werkzeug/files/werkzeug-2.0.1-test-warning.patch75
35 files changed, 682 insertions, 202 deletions
diff --git a/dev-python/QtPy/Manifest b/dev-python/QtPy/Manifest
index ef4a19299281..8d96740ebaa3 100644
--- a/dev-python/QtPy/Manifest
+++ b/dev-python/QtPy/Manifest
@@ -1 +1,2 @@
DIST QtPy-1.11.2.tar.gz 37098 BLAKE2B 8806cce798c4c2d885dd340d0d077567353cf0f3f1c2b284fd788c190b28b6133d052d31dea861e7d2497d0db88ba7ce8be83074360c61823f7a78dc01c015a5 SHA512 e49beb3180789a8080a19406b0e122bc9fc2192ac89b59f0956d7c65ac957779b192062956a97a7526f32724000df18abf32ddd6bda52f9cdf440ddc551887f8
+DIST QtPy-1.11.3.tar.gz 39637 BLAKE2B d1bfa0944dcebf5e408b9a061bcc6bab2fe172a70f0eadd36b229d2c9b40d74d8159c820608d3afd71a91085d5703af9b7045f359209730c53a9a83007159ce5 SHA512 461d858b05ff75f27017f6f0058f3e47643d5fe6c236e4307fa006735ad80e4c1fa487f1ab75edcfe881026541e302cdc3f8221c4ad7b97bce8c96b66db580bb
diff --git a/dev-python/QtPy/QtPy-1.11.3.ebuild b/dev-python/QtPy/QtPy-1.11.3.ebuild
new file mode 100644
index 000000000000..dacb05456055
--- /dev/null
+++ b/dev-python/QtPy/QtPy-1.11.3.ebuild
@@ -0,0 +1,158 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Abstraction layer on top of PyQt5 and PySide2 and additional custom QWidgets"
+HOMEPAGE="https://github.com/spyder-ide/qtpy/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+_IUSE_QT_MODULES="
+ declarative designer gui help location multimedia network opengl
+ positioning printsupport sensors serialport speech sql svg testlib
+ webchannel webengine websockets widgets x11extras xml xmlpatterns
+"
+IUSE="+pyqt5 pyside2 ${_IUSE_QT_MODULES}"
+unset _IUSE_QT_MODULES
+
+# PySide2 does not support python3_10, nor is it likely that it will in the
+# future since upstream appears to be focussing on PySide6 for Qt6 instead
+# (which is compatible with python3_10). So if we want to use python3_10
+# we have to force disable pyside2.
+REQUIRED_USE="
+ || ( pyqt5 pyside2 )
+ python_targets_python3_10? ( pyqt5 !pyside2 )
+"
+
+# These flags are currently *not* common to both the PySide2 and PyQt5 ebuild
+# Disable them for now, please check periodically if this is still up to date.
+# bluetooth? ( pyqt5 )
+# dbus? ( pyqt5 )
+#
+# 3d? ( pyside2 )
+# charts? ( pyside2 )
+# concurrent? ( pyside2 )
+# datavis? ( pyside2 )
+# scxml? ( pyside2 )
+# script? ( pyside2 )
+# scripttools? ( pyside2 )
+
+# WARNING: the obvious solution of using || for PyQt5/pyside2 is not going
+# to work. The package only checks whether PyQt5/pyside2 is installed, it does
+# not verify whether they have the necessary modules (i.e. satisfy the USE dep).
+#
+# Webengine is a special case, because PyQt5 provides this in a separate package
+# while PySide2 ships it in the same package.
+#
+# declarative/qml/quick is a special case, because PyQt5 bundles the bindings
+# for qml and quick in one flag: declarative PySide2 does not.
+#
+# The PyQt5 ebuild currently enables xml support unconditionally, the flag is
+# added anyway with a (+) to make it future proof if the ebuild were to change
+# this behaviour in the future.
+#
+# The PySide2 ebuild currently enables opengl and serialport support
+# unconditionally, the flag is added anyway with a (+) to make it future proof
+# if the ebuild were to change this behaviour in the future.
+RDEPEND="
+ pyqt5? (
+ dev-python/PyQt5[${PYTHON_USEDEP}]
+ dev-python/PyQt5[declarative?,designer?,gui?,help?,location?]
+ dev-python/PyQt5[multimedia?,network?,opengl?,positioning?]
+ dev-python/PyQt5[printsupport?,sensors?,serialport?,speech(-)?,sql?,svg?]
+ dev-python/PyQt5[testlib?,webchannel?,websockets?,widgets?]
+ dev-python/PyQt5[x11extras?,xml(+)?,xmlpatterns?]
+ webengine? ( dev-python/PyQtWebEngine[${PYTHON_USEDEP}] )
+ )
+ pyside2? (
+ $(python_gen_cond_dep '
+ dev-python/pyside2[${PYTHON_USEDEP}]
+ dev-python/pyside2[designer?,gui?,help?,location?,multimedia?]
+ dev-python/pyside2[network?,opengl(+)?,positioning?,printsupport?]
+ dev-python/pyside2[sensors?,serialport(+)?,speech?,sql?,svg?]
+ dev-python/pyside2[testlib?,webchannel?,webengine?,websockets?]
+ dev-python/pyside2[widgets?,x11extras?,xml?,xmlpatterns?]
+ declarative? ( dev-python/pyside2[qml,quick] )
+ ' python3_{7..9} )
+ )
+"
+
+# The QtPy testsuite skips tests for bindings that are not installed, so here we
+# ensure that everything is available and all tests are run. Note that not
+# all flags are available in PyQt5/PySide2, so some tests are still skipped.
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ pyqt5? (
+ dev-python/PyQt5[${PYTHON_USEDEP}]
+ dev-python/PyQt5[bluetooth,dbus,declarative,designer,gui,help,location]
+ dev-python/PyQt5[multimedia,network,opengl,positioning,printsupport]
+ dev-python/PyQt5[sensors,serialport,speech(-),sql,svg,testlib,webchannel]
+ dev-python/PyQt5[websockets,widgets,x11extras,xml(+),xmlpatterns]
+ dev-python/PyQtWebEngine[${PYTHON_USEDEP}]
+ )
+ pyside2? (
+ $(python_gen_cond_dep '
+ dev-python/pyside2[${PYTHON_USEDEP}]
+ dev-python/pyside2[3d,charts,concurrent,datavis,designer,gui,help]
+ dev-python/pyside2[location,multimedia,network,opengl(+),positioning]
+ dev-python/pyside2[printsupport,qml,quick,script,scripttools,scxml]
+ dev-python/pyside2[sensors,serialport(+),speech,sql,svg,testlib]
+ dev-python/pyside2[webchannel,webengine,websockets,widgets,x11extras]
+ dev-python/pyside2[xml,xmlpatterns]
+ ' python3_{7..9} )
+ )
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+ # Disale Qt for Python implementations that are not selected
+ if ! use pyqt5; then
+ sed -i -e "s/from PyQt5.QtCore import/raise ImportError #/" qtpy/__init__.py || die
+ fi
+ if ! use pyside2; then
+ sed -i -e "s/from PySide2 import/raise ImportError #/" qtpy/__init__.py || die
+ sed -i -e "s/from PySide2.QtCore import/raise ImportError #/" qtpy/__init__.py || die
+ fi
+
+ # Disable outdated PyQt4 and PySide
+ sed -i -e "s/from PyQt4.Qt import/raise ImportError #/" qtpy/__init__.py || die
+ sed -i -e "s/from PyQt4.QtCore import/raise ImportError #/" qtpy/__init__.py || die
+ sed -i -e "s/from PySide import/raise ImportError #/" qtpy/__init__.py || die
+ sed -i -e "s/from PySide.QtCore import/raise ImportError #/" qtpy/__init__.py || die
+}
+
+src_test() {
+ virtx python_foreach_impl python_test
+}
+
+python_test() {
+ if use pyqt5; then
+ QT_API="pyqt5" epytest
+ fi
+ if use pyside2; then
+ if [[ "${EPYTHON}" == "python3.10" ]]; then
+ return
+ else
+ QT_API="pyside2" epytest
+ fi
+ fi
+}
+
+pkg_postinst() {
+ if use pyqt5 && use pyside2; then
+ ewarn "You have enabled both PyQt5 and PySide2, note that QtPy will default"
+ ewarn "to PyQt5 unless the QT_API environment variable overrides this."
+ fi
+}
diff --git a/dev-python/adblock/Manifest b/dev-python/adblock/Manifest
index 6ff55b3a5195..b3a843458b4a 100644
--- a/dev-python/adblock/Manifest
+++ b/dev-python/adblock/Manifest
@@ -1,5 +1,6 @@
DIST adblock-0.3.13.crate 7691310 BLAKE2B 0d9958235c123ff09256f6512c04474c4dee10c855b7161e32f3dae517959bb16815adbc22787648a1441e04a0ae94b89369c6bf9e3c61715638a4c452676a1f SHA512 f534c49d60118e170f674415a20075f15a7e45187d9461a0025acaf3fb9a94388ed7f99d15484a0354d8953798dd8ae720ca77f6faa59551e9d99d937a3bdbb4
DIST adblock-0.5.0.tar.gz 23000 BLAKE2B 4d1e991341e605484df4c96b3ebffdad261a7c90d4aa1e14a8e6258b1a5368fdd3215a9ae3600560a082f91cc34d005b271f5904bb883f938bbe5451d4ad4e64 SHA512 5ae9c979a769fbfc89c26d2c5c40a1712f0573707840b3bf35acf7bd15d2c22f08dfdbd384ab0e886568aee686ef5da3ab5f1cb73bf66491831be24977e6173c
+DIST adblock-0.5.1.tar.gz 22899 BLAKE2B e669798103c6a4cb808eed1ab96efac2a6ccb62cd32ea6856d4b8613983f203a58864f8d9eb996ec9ab0a4c1a4fe1e719d22071610e0f3315f8d921786b45a88 SHA512 c4137cc6b2ec439c7b7d8c2d039a75d62c988c8154f0334a1e75784633afc84886ac8228843fcc293be4b37bc9a8d9973a845e692a3ff18058f903717bcca3fd
DIST addr-0.14.0.crate 90210 BLAKE2B a0dcb422d853b76187542aaa2880aafade57716130a38172a91fd4d3d0c51d9e7f2b23eec5af84b188b8b661c48f46fab25797489a3bd5c84e0732b326178877 SHA512 18d6cecbbeb2ea11f2b4f40356d8a2de5aad45e57ac5f13dc9cd98cff4250b7612aadfb73935775c657e728ca10bc8313e601354f239a96e63ef90a8d2f6b870
DIST adler-1.0.2.crate 12778 BLAKE2B a1dc17786adae945ac09d3525e609ed944e6465690787bbb831a1b9d53793cba1989793d0a5606d5d23ee20d36457923d451b1b3530c9ec7072a487aa3e55bbd SHA512 7ab190d31890fc05b0b55d8e2c6527a505e06793d5496be0b3831e0513412f9ba97f8148f6f68ed0770fa9cd980a5092d885e058becf1d5506b7c74b82674aa1
DIST aho-corasick-0.7.18.crate 112923 BLAKE2B 4f6947d1aacf89ccfab0592cdc55fa61ef09cea38231d3f758765dbce328a810c0b588be4ba96e81d64955379ee005722d22a7aec39caea6e72342245d7ca34f SHA512 7a23b16231a90d23ee60ad4c81bc225410599a4560d33d3a203138fc540c39cf1000100fed3aed40dcc371c3635656a3792545dca5dd1aefbde00d8774eebd00
@@ -28,6 +29,7 @@ DIST memchr-2.4.0.crate 63392 BLAKE2B a3f30546c3b58ff4eba534bd7046446e96ad793718
DIST miniz_oxide-0.4.4.crate 49938 BLAKE2B 3403416bf9d10b67ef976eb23be64216027c67c56225efd08c87f8269017cb5174ae64f35d18acb66c7a1b831347791cee5af565f3ddfb31ae4210221604b0c4 SHA512 2c6e484a8a53c6b1fb84e2bf9518919e6e5ba84e7716c0bb8e33b53dc0d3432c35f28f19c18368e27c94f6df66b7674f514ef889cf1b19f546bedfb6e6ebaf6f
DIST num-traits-0.2.14.crate 45476 BLAKE2B ae310d9d5640acc3e45e1e5d1d2f519539795922c0058ee940c94c94b6654b39358b7c18dd23a276f2c1b16a30dd4de4cbc8575bcda6a5c11e70665d670e6439 SHA512 c3028eca9f7b718de0db3a36cf3e462bdba43562d52c9b809ed4cc0aa6af403aea542d6d4da743cd1dd541397815a3c5a84cef4d6e40122994e4be6a62319b2e
DIST once_cell-1.7.2.crate 28250 BLAKE2B a30a55f6d6e820c691928173a9ce70a60486b28e3e79e8a01a08d87ca0bfb1725b967cc9e070cf53e71b924f73fc2eec2cf67190fc743361b60d82290762725d SHA512 30cf51249bb73e9881cfbc6a54ead7a3db709d560da8d420fd85cf248e66c727b92e8351b7c0c682913cff12b3f984684a272a69c965c56f8343948eb5a194d6
+DIST once_cell-1.8.0.crate 28925 BLAKE2B 7681b1a7497b5711e663773c1a7e076f333c06c10d3f289079a781c36f050c1620cc279742ea8e5b15ec48f3d6038a6079bbda7fee3ae8e1128bd916d53ed43a SHA512 88e55c9433225ce85a08353168c87fca2237615482160a5c28f3ac17f06d48c63e0c21b5f7ef81f82ca133436e371802ea099453844f1c111003bcb6ba89e827
DIST parking_lot-0.11.1.crate 39854 BLAKE2B 5a097d7016811de4ca7d21e8a811a96b2e857b5224b176cf7a3bc160c0a0678c9100423e3c096c5056e2df3a4dcba17a590cc64eb1d648355c153c5cdf9db228 SHA512 17e394ac8b62656177a12fcfd246d9bb59be468a5ac174e4d6d8b4ffd0411497d3ce943ca5deab184cebf5c1bbca97b4273f79bf210c78d7f4b6f5e9d68026a2
DIST parking_lot_core-0.8.3.crate 32147 BLAKE2B 5218cfbff706c4388fef31c885c7a5d53566005775a3c440c6a2890efb189a4edfe8e99f6499cac36038846628a915ac988c15e1ebab1b3a3ffb53a64631dc19 SHA512 1dba5a7e68ee007918fb210ff308f7382ed1c54d2fe6db36a8246453434246b71e6795db107c83ca39c2bddf5e4a27da7978a464b53d41e150e744d81e75b341
DIST paste-0.1.18.crate 12259 BLAKE2B ed72b93a27166b0989743c2528d4a41f4b87ffdd0c588557d11a5f37f85d5b8f03ced86150af6209f9fa8d0f6efee705769b26a2f4dc3363f35cc3ac12c0e6ad SHA512 a4d9c75f6f358d6c86eb0a66cdf22eedec180db37358ca2870a992e215d5b389b7991837d8f2769742ac1b093674cb4352ef9d6754a249253472fbcb3a81c001
@@ -38,8 +40,12 @@ DIST proc-macro2-1.0.26.crate 38233 BLAKE2B e44a5d98fbf75130c0eeb8fad6d025ce66fe
DIST psl-2.0.18.crate 182781 BLAKE2B 514b0a0b14ed8c342f7424b63fe10d7b0cd6fa0636b2954f898f1c915633b813d509c2e9ceb6dc7e5148787d7497dca6ed877f3b981ada35967b9abca5e3461b SHA512 b3c621f9aa823f3b5b7b4927a834f1b35093797c973d1a6eca1b1d9fa4bcd5b16885687d20f924a4c538f6681ba6c03d2461d47b77849b05fbb69e19e8b46865
DIST psl-types-2.0.7.crate 3423 BLAKE2B 2e5cf2d7bf395ca990390c3d35cd15596240e6850732657324dfcbb1518502f6cd168bf76138103d861ccd79f2766fd65883980c0958e186e7d0e1e7fff3671b SHA512 ce10e5afff09996c29a8ced4be2e2c30bf549390c578fd9112490485710e1c406d84165394cf4ef2e412923db88dc5c08111b91e72b813fca757e7e43c6adcc3
DIST pyo3-0.13.2.crate 281372 BLAKE2B 22ffcd9fa239efc205e5efcefb6ffbe99a979209aca357174e461826ae8edc1824da820df04bd8af4d07afd550b6a03fce75bc24e83970e7d2ec8cdc0aa17dca SHA512 3d4198a60e9c3abc619e5cac7198288bde294a789b6f84ec87a411d5eaad93d5d55043e8ec218cb0aa09a7289be7fd5bfa0b74be188e2b67c6c646cc2aec66d3
+DIST pyo3-0.15.1.crate 370722 BLAKE2B b755c93d8dca8e778b886ed1d16e83ddca483d0f6c932b3241edb2e1211306cb0257d2a6bc31ba4298335f277898e59aad67e9f675ed4ad9a2bb9d596400bda3 SHA512 9168911db76f2c9629615c997accfc4234bf91cc72293dcdb3db14b4e93f93af9df3b3aa7900384121719aeda4a0b6dd68c0cb380bfe5424724b0be5303c02e6
+DIST pyo3-build-config-0.15.1.crate 22095 BLAKE2B 47803b389f30f15f487daf96d32e374ebc83b1b41ddee1d2dcadd1a0fbaef40c4c1af2312b86ec085637e3192b1bd213c93b5f4e8dee173d81e510f480fa6953 SHA512 a9aae6bb4a4a56f7857262276bf1c95510912a367e32470b871f2fe2d6adbffd87247ed2e3b5fa2dfd273a3b0e139d92f25f3228e15c6d8c206c6ba919f38a9c
DIST pyo3-macros-0.13.2.crate 5434 BLAKE2B 881b49ad2f6dbf0f60f7d9d648beb1b2f10266ede0f2d893e4bf0fa574563933f3540f93eabfa31ff2a73970e1a86d0ec1103ce7c0dc565670ad16bd99d10986 SHA512 3847c60f9e3f7150f46e68164fd35582994597eefcc70542ecf95afc7411785cea5b0eedd978b1c4baf2067ff8f2cdd93778affc82e11dcb264c09ba6ea0d788
+DIST pyo3-macros-0.15.1.crate 7555 BLAKE2B c7d87c150678efbb5dd6ef98da9997676ef3e7f8628a79f01a3ecbf94cc8b2d0752573d894fd769fb8791f30bcfd03a5c9f76cce73c00be90c1488faed63198d SHA512 1969b5ec6dd26ff2d534fe43143e44b91b66e05c61281b64f96fda47ff7826f625c658412d7587520df7455a67cd970a9aa49c7544ffb70a425314a0cff65060
DIST pyo3-macros-backend-0.13.2.crate 33106 BLAKE2B df7d9cbb06932c7d01f809bb5cc9230a680f0da7f1231a1c509a7338713722a1a35e456faa81a36d21a16612a1c611b6ce5d018c87210b59e4153ba0addab568 SHA512 ee136e214a6f06b6dccec378d6a73a318408cd55795ffb00c18428b40cca1e2f45c3a98e85c82c68f0f2715b8187237f2bb3dd1e94b95288e2bed1bf6a6d042e
+DIST pyo3-macros-backend-0.15.1.crate 46111 BLAKE2B fabde516114a001e7f9ec1a1f422c5819ad5bceb4db36ecf2ef5dfde397d4d3c7dc7a8acf11cafde4156594e90a4f95d51dbefa43ee8bc172441d3f81eb299b2 SHA512 6c62fd1bc50666f63f9854947e9d88ae385159d90d026e0179d91aa151fef8403b23f55eab6f3340b1455b23d411083780c49198afacc267b49a52ee9c4999a4
DIST quote-1.0.9.crate 25042 BLAKE2B 26ef31e89fd2f0cc21ff65f8072f30c7977ac634d2536cf9845a0894d6659f62a96cd0a6ee48f7706036c2c1b898ef8c9167bd62714ad0c9cba4fb02f30922af SHA512 dd6cdaea183b85400531ef01e56657edbec0d8f7c27898c1e591b72dff755fa5875b33ca320bd65be0e9aecfc6a61ec119a4bd1291e9f2057fca642ab5b198c8
DIST redox_syscall-0.2.5.crate 23449 BLAKE2B 2d676dfe40f62285463a25f90ecf24ddb8548f91db1dffd779aaf9c1210bf1eb9c7c535b0d04ac7a483e0724d24ac1d1ed6c78884ad2631a53a870488b7578bc SHA512 f1625eaba110129942893e4cae548d22b6892d275124d29540c947d958e5bb7231309fe052cf15bddb23e0e8f0cdaadd002db5bdc3be578e843c46c175526adc
DIST regex-1.5.4.crate 236581 BLAKE2B 6efaf69d1a99dc3a2e04b2d1a96b036f631e9a0ad0d3aa57263febd47f7ec12765526f06f9c52a5497bf0d9b455f1d1b39e011adc4c28530c44b65c8a453efc0 SHA512 1a9208358c4ab87c19ec91bcf5c1e35dede46f3a0c0097061b7b53fa77a1e5ad38090d243aab274956f09c491e5fbe3b3b35a91db079b82a2dde2fd9fbad4c19
diff --git a/dev-python/adblock/adblock-0.5.1.ebuild b/dev-python/adblock/adblock-0.5.1.ebuild
new file mode 100644
index 000000000000..f762902ced0b
--- /dev/null
+++ b/dev-python/adblock/adblock-0.5.1.ebuild
@@ -0,0 +1,111 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+ adblock-0.3.13
+ addr-0.14.0
+ adler-1.0.2
+ aho-corasick-0.7.18
+ autocfg-1.0.1
+ base64-0.13.0
+ bitflags-1.2.1
+ byteorder-1.4.3
+ cfg-if-1.0.0
+ crc32fast-1.2.1
+ either-1.6.1
+ flate2-1.0.20
+ form_urlencoded-1.0.1
+ idna-0.2.2
+ indoc-0.3.6
+ indoc-impl-0.3.6
+ instant-0.1.9
+ itertools-0.9.0
+ libc-0.2.93
+ lock_api-0.4.3
+ matches-0.1.8
+ memchr-2.4.0
+ miniz_oxide-0.4.4
+ num-traits-0.2.14
+ once_cell-1.8.0
+ parking_lot-0.11.1
+ parking_lot_core-0.8.3
+ paste-0.1.18
+ paste-impl-0.1.18
+ percent-encoding-2.1.0
+ proc-macro-hack-0.5.19
+ proc-macro2-1.0.26
+ psl-2.0.18
+ psl-types-2.0.7
+ pyo3-0.15.1
+ pyo3-build-config-0.15.1
+ pyo3-macros-0.15.1
+ pyo3-macros-backend-0.15.1
+ quote-1.0.9
+ redox_syscall-0.2.5
+ regex-1.5.4
+ regex-syntax-0.6.25
+ rmp-0.8.10
+ rmp-serde-0.13.7
+ scopeguard-1.1.0
+ seahash-3.0.7
+ serde-1.0.125
+ serde_derive-1.0.125
+ smallvec-1.6.1
+ syn-1.0.69
+ tinyvec-1.2.0
+ tinyvec_macros-0.1.0
+ twoway-0.2.1
+ unchecked-index-0.2.2
+ unicode-bidi-0.3.5
+ unicode-normalization-0.1.17
+ unicode-xid-0.2.1
+ unindent-0.1.7
+ url-2.2.1
+ winapi-0.3.9
+ winapi-i686-pc-windows-gnu-0.4.0
+ winapi-x86_64-pc-windows-gnu-0.4.0"
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit cargo python-r1
+
+DESCRIPTION="Python wrapper for Brave's adblocking library, which is written in Rust"
+HOMEPAGE="https://github.com/ArniDagur/python-adblock"
+SRC_URI="
+ https://github.com/ArniDagur/python-adblock/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz
+ $(cargo_crate_uris)"
+S="${WORKDIR}/python-${P}"
+
+LICENSE="Apache-2.0 BSD MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="${PYTHON_DEPS}"
+BDEPEND="
+ ${PYTHON_DEPS}
+ dev-util/maturin
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ )"
+
+QA_FLAGS_IGNORED=".*/site-packages/${PN}/${PN}.abi3.so"
+
+src_compile() {
+ maturin build $(usev !debug --release) --no-sdist || die
+
+ mv target/$(usex debug{,} release)/lib${PN}.so ${PN}/${PN}.abi3.so || die
+}
+
+src_test() {
+ python_foreach_impl epytest
+}
+
+src_install() {
+ python_foreach_impl python_domodule ${PN}
+
+ dodoc CHANGELOG.md README.md
+}
diff --git a/dev-python/anyio/anyio-3.2.1.ebuild b/dev-python/anyio/anyio-3.2.1.ebuild
index 3d8005ebee46..bfa73a1dbbc6 100644
--- a/dev-python/anyio/anyio-3.2.1.ebuild
+++ b/dev-python/anyio/anyio-3.2.1.ebuild
@@ -16,7 +16,7 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 sparc x86"
+KEYWORDS="amd64 arm arm64 hppa ppc ppc64 sparc x86"
RDEPEND="
>=dev-python/idna-2.8[${PYTHON_USEDEP}]
diff --git a/dev-python/aws-sam-translator/Manifest b/dev-python/aws-sam-translator/Manifest
index 27d7ec05d5d3..519511119f42 100644
--- a/dev-python/aws-sam-translator/Manifest
+++ b/dev-python/aws-sam-translator/Manifest
@@ -1,2 +1,3 @@
DIST aws-sam-translator-1.39.0.tar.gz 974687 BLAKE2B 1cde943fe187bb4d2fcf64a8417fc7d2f0c8226e2cd3a583ed14569e0ef39dfb6a718971552b577cbb4858272c33054a04a76cfc61c0dfcde303e6578a2fe534 SHA512 010461ecc2ec7131af1a9f078abbc36594e8358307ffc397c2c1daf433becea9d9c5a5afd8e47e62c6c618a700ca957f559401e02f7c772271f70a7bc2311b8a
DIST aws-sam-translator-1.40.0.tar.gz 988864 BLAKE2B 5a414bde5ceeb016267c64742e8c8dabf1460471261a84464ab2bffa4b5553eb042ffe2b4ac91b470316f64a68043e27f652b2cc5aabc8a83cf61faa89d7af51 SHA512 99c578cbe4100c30d2e6357dbb35aaf9e93180b8fce27f1b8400253153fef7d18487b5f67e0824920c6adb8bfdfe763a8fd893b3ac4ef3f781673f4761866e0e
+DIST aws-sam-translator-1.42.0.tar.gz 1017720 BLAKE2B d0166b09b99c64f5f4a4c1ebfe63b6a35ca6db73efb97f76b8748272b646fe2fcf9de06c2f6b29ce69a3edfce9235ba932913055e70f48d88569e4df25a6be0e SHA512 6b1bfd4bde203e31a9d98a385d6c0705ba651c39846358e750faf8a30c4e4e8b2ee57623af27da670ee8f1f5edca795b1b5528b5237ff9f01f911d4b9385ebcd
diff --git a/dev-python/aws-sam-translator/aws-sam-translator-1.42.0.ebuild b/dev-python/aws-sam-translator/aws-sam-translator-1.42.0.ebuild
new file mode 100644
index 000000000000..aae753e64ebc
--- /dev/null
+++ b/dev-python/aws-sam-translator/aws-sam-translator-1.42.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="A library that transform SAM templates into AWS CloudFormation templates"
+HOMEPAGE="https://github.com/aws/serverless-application-model
+ https://pypi.org/project/aws-sam-translator/"
+SRC_URI="https://github.com/aws/serverless-application-model/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/serverless-application-model-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/boto3-1.17[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-2.6[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ tests/validator/test_validator_api.py::TestValidatorApi::test_errors_13_error_definitionuri
+)
+
+python_prepare_all() {
+ # remove pytest-cov dependency
+ sed -r -e 's:--cov(-[[:graph:]]+|)[[:space:]]+[[:graph:]]+::g' \
+ -i pytest.ini || die
+
+ # deps are installed by ebuild, don't try to reinstall them via pip
+ truncate --size=0 requirements/*.txt || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 547491b6b4b6..b90a56fd8df1 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,4 +4,5 @@ DIST boto3-1.20.15.tar.gz 449395 BLAKE2B 702a8e1c156b3c4d3f6d5428779bbeb2f917a99
DIST boto3-1.20.17.tar.gz 452876 BLAKE2B ff59e490e5938bea7cdd0ae54f82c33d410b42b9417a16e9890e809cc3540d07711ae2285f354129b178e59d7400b25e2176907354acb12bcfeb5dd5d3bc0111 SHA512 1232f475282666fa6653407bebfd85fee5d681523a94da56adf02616117002d7123e6f55523ef042f89cd5971031192665b84ca5619d26b1795cf597e1060082
DIST boto3-1.20.18.tar.gz 454201 BLAKE2B f6e87d93fcfe525deb34166310cb830547a8d51280b48005d25a9bfa5852a1a577bccb91f2fe0825991ef4f4b5a1340b6f0b505be864338386f2e02b522a2236 SHA512 22b349efbfcc2a4e7dd9be8a8f19ff5a399c7b474ac615f065e2fe62217ed1d94951744e9ba266c85650ff92c7b2183c3916f3d39f62d0d685742344b2500992
DIST boto3-1.20.19.tar.gz 454558 BLAKE2B e1d08d2508bee7b22af370b4566d4f1b5e65b42b3993f4e5bdf7398703381e34c7da0f497506972643ccda12a746848a2198deb01990d08740b9ea278e1b26d3 SHA512 0df24734b3961a49380b39325278a3fb50e66c21fb5dbacf1133ef0e4ced1f7058c990b48e1dd0fc7c949fdd5f5674810b5e311df0e5a862d3877d41eb6475ab
+DIST boto3-1.20.20.tar.gz 454638 BLAKE2B 031f919d5c75423b14fe04712bbe93c8c0b43ecc016b096ec54a9414a6277c200e0e4256404ed1c20d7647fb0ae5c7b122b6b1ce09cf7b8fbaa4f08fb8bb1a7c SHA512 fdafbf82f9a0671d0483dced01dcdd895a097b461ab137f182af8d5bda25447c681b12ef5806d530e32219c6a30e7561b29bd9d61ded9faa524617b86ee95665
DIST boto3-1.20.5.tar.gz 439166 BLAKE2B c140e15e497e6cdf6b4b77bb99e0a0f5ac01d5b5793f8bfb210b52bbc09e39e6fe06a957951375e0795210dc1c3b2a0afd2f498bc88e449d9e6846f2b357f016 SHA512 2823466e4851684253d4ce42a8c34e5cbdad6d04c823040fe2cebdf0cffb14d5d3f40e28d57ebec14533fab04ba74f27c25f078ddb8791b8f52d0424e11b39fc
diff --git a/dev-python/boto3/boto3-1.20.20.ebuild b/dev-python/boto3/boto3-1.20.20.ebuild
new file mode 100644
index 000000000000..ace657bcbe4d
--- /dev/null
+++ b/dev-python/boto3/boto3-1.20.20.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 03136029e5a1..893dff39293c 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,4 +4,5 @@ DIST botocore-1.23.15.tar.gz 8499971 BLAKE2B d08fdcb398cd6bcb63a8922ebfb0f1c32c6
DIST botocore-1.23.17.tar.gz 8604819 BLAKE2B f6be48e3d0a2397be4934d9adaddbc4f2d70b2b002585e3057aead69ba934f4e53fcbffe7ea3f5919aa85d1cefe8c1abf6d1e150af6a18bd96561901d1ba7f87 SHA512 fecbb2f2ac451ffc97d7d8ad8224c3d1eff81fa225839199f403be9428cea203c077beb7c05e412784d8b6bedace3c1f24ca45730cc7877961931ac14912d1e1
DIST botocore-1.23.18.tar.gz 8647407 BLAKE2B a1c5a9006d0e2214ad1fc89752043832e657a2bb1994b9b91981430d6544818d79d669cbdf8e41b4cd6880dfb6bf001dfc03e9616da4873a89b0c3f8fcd3fdc5 SHA512 65ec3aad0508dc9a4d0426658b5a0dfec011613d236248726f94e128c2b762ac652fd5078973a9a7a101cb1a01c3dadc52b272a584310cf76ca798884c06f25b
DIST botocore-1.23.19.tar.gz 8666566 BLAKE2B 617704ba2bb367f864a6b493be9b643e52f8c22041d255252aae5e21c684544db1d58fc06f920e20ddfa54b8a3c166627d046b79d6ef06db2cd034fb58397258 SHA512 6a551cd50ecbad954982a7e6296c803a20d28065df04c9ca482b91aa91b6f336df8f81fd706771c0f04d55e2f3803cc4f1ec9b347e490e492515df427f52a692
+DIST botocore-1.23.20.tar.gz 8668630 BLAKE2B 3b6b65dd73886bf05ec52fd8e2a3d139f29b56019647f66191578d46dd68bb6c71136632cc6576d8fad84f931990c929e30135e74e9f2125bef14b1cfddd35e4 SHA512 f60df34af21a1d2f8c0d85352404ada5c83eb2bf9190fbe2b9f371c02e95bd23fc2b1e9e857a66057f93af62d1c30b908fc343a1505ad1cca0f245a94026ea17
DIST botocore-1.23.5.tar.gz 8374467 BLAKE2B 467092e7d8aa5ccb756132669049865445a47205913964c1c944b20caaf100b1efdd1bf3af9c5416ff079b487e6d4d08ffe6208e2b352d09655cc5be21c88739 SHA512 6afca19b724f9019f21e5993ce970d605b95d31c1a4e969ec1b4080510a5a120b3fa0cfd5ade973a9203bd6b7983a3dbca2f7a03108a9167392efd60d5e2fe9b
diff --git a/dev-python/botocore/botocore-1.23.20.ebuild b/dev-python/botocore/botocore-1.23.20.ebuild
new file mode 100644
index 000000000000..cfc004c5eba7
--- /dev/null
+++ b/dev-python/botocore/botocore-1.23.20.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/jmespath[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ distutils_install_for_testing --via-venv
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 95689081179b..bc2ffc654b9b 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -3,3 +3,4 @@ DIST cfn-lint-0.54.4.tar.gz 7835716 BLAKE2B 1709adda09a08b02f4a2637af1ed2a43c096
DIST cfn-lint-0.56.0.tar.gz 8069291 BLAKE2B 6a6b0481f857e3360d2abeb372415a43ae59ed54f2c1ef08ea079f32442bea9f30a7222233cfadd398922994bc70aa78e92b8807d7386ca4b979548622d3e5f4 SHA512 f12ca4ba831c32d7c9c8079ed9d59baf6346a2c4a09cf2af0a8b258dc551b381983cb346800b37e6df3022fbb6f09ee186b44bb9ba3e0a2713c8faabce83f67b
DIST cfn-lint-0.56.1.tar.gz 8095525 BLAKE2B a9db57f17c0f5bcc0950aa61b109488154dfb67997224f7c49f35c324ada7e4881ab2bd2048df344b78668db5e26eb365712cc0a1b8d2b2349cc53c7e97b35b1 SHA512 0857139094fcfd8d935c526986319a67cddb7fc42ec1297b29f797299699d068ddbb0fdd30736b2ba1b647c905c6c7be4946915d98a23119fdb6bb70b23adef1
DIST cfn-lint-0.56.2.tar.gz 8139815 BLAKE2B 70e2657801fa7c995e6a92c36bfd49195af80b1477da651cf10a234ebf8f0aba2382e8512efc1adfeace6503d0e5afffb09e4a80e7f9464ebb6f2d53b57f84fc SHA512 9169d81b3144fa28c48372971b6197aa3a85b6365d7e45c22967ea388896b5df65e1daf6889984b8ece46b938c91c349fcde01ed9e0bf4780b549163f8948866
+DIST cfn-lint-0.56.3.tar.gz 8278034 BLAKE2B 894d30add7a193d256dc2195c0cd1d4b75f10f60abe9e37c5b0bdd84178d9559759326ad3e55d2321b99588094b436dc2dc8dff1cc561ae56dd4cee98d6b43bd SHA512 8aeaf44a626f9bfc05ebeefc8aec9211fcac1a65de681d5d700f3621631bff15e74ed644b9d0dc8af4d9b0b14802c2259dbc4ccf38594705040f5fd3af1cf482
diff --git a/dev-python/cfn-lint/cfn-lint-0.56.3.ebuild b/dev-python/cfn-lint/cfn-lint-0.56.3.ebuild
new file mode 100644
index 000000000000..3576513e86e0
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.56.3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/ https://github.com/aws-cloudformation/cfn-lint/"
+SRC_URI="
+ https://github.com/aws-cloudformation/cfn-lint/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.42.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install pytest
+
+EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_2
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/charset_normalizer/Manifest b/dev-python/charset_normalizer/Manifest
index a2454c9e5b0c..590af5c436a9 100644
--- a/dev-python/charset_normalizer/Manifest
+++ b/dev-python/charset_normalizer/Manifest
@@ -1,3 +1,4 @@
DIST charset_normalizer-2.0.6.gh.tar.gz 368270 BLAKE2B c80304b0e0f949d933fe210184d3892b7cbf52aeaf266834c4c358ee40abe14f660e2ad465aeecb76aebc8d3a12fe897b9cd7bd8ffa9e92fe0cbad07fe1526b2 SHA512 04ea17fb1d61b88b4036f33a4b03df824e246e57590a5b64ded8e44298bb1d07ebf276ed6a2dc189580d7563e267ccadb3280728f1e5ac5f29cedd5b84bd6dc7
DIST charset_normalizer-2.0.7.gh.tar.gz 369094 BLAKE2B c04be56df2eb936fbad26c083d5057a2614c9ec4eca694e9c49c8e6eb63e803f82f97863b857d842204962949894b2e5971dda285c279d00ae61f7e2a5d8b5bc SHA512 a5fbcb03348239254b4e4ce9eefbe676f41aed0248af9f2e3224f8d3a4265af97f044eb1dda5aeb20db2b901d3b656d68bb50d507453cfe0eec6031ac87b86d3
DIST charset_normalizer-2.0.8.gh.tar.gz 79484 BLAKE2B 8c059637c1ff58f0c84a741c5d08b45d40ed073f75a278198eb7fcefefbb44b3820d39fe05214c44f146e482a595b7ce5b1bacdfd275d78345eccd074be3f7da SHA512 ae5dba6955cd7ef36ec3c45a7d440dc98b906b808b48746291f313d4c98c0fbca4a4481ccf169b4661ce9500e9e06071747280f1191cd629b9b752954549af20
+DIST charset_normalizer-2.0.9.gh.tar.gz 79757 BLAKE2B 9e4b3f65689791739f6b7509bcf9cce8f0a9c536251452b1130aa4476fa218c11087db719d8273087884a9e96b9daf32599d1386e95bda42ca31600b0b37299e SHA512 0957752c1083897193fbdfbeec453a2b279b0834c0074f9f1ae08faac51d3e281eeb0a6d8fb217885101fd04761296555364a9f957e89bf8103fdc569d249056
diff --git a/dev-python/charset_normalizer/charset_normalizer-2.0.9.ebuild b/dev-python/charset_normalizer/charset_normalizer-2.0.9.ebuild
new file mode 100644
index 000000000000..35f1ebad6498
--- /dev/null
+++ b/dev-python/charset_normalizer/charset_normalizer-2.0.9.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="The Real First Universal Charset Detector"
+HOMEPAGE="
+ https://pypi.org/project/charset-normalizer/
+ https://github.com/ousret/charset_normalizer/"
+SRC_URI="
+ https://github.com/Ousret/charset_normalizer/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/croniter/Manifest b/dev-python/croniter/Manifest
index 41707847c079..da662033fd5d 100644
--- a/dev-python/croniter/Manifest
+++ b/dev-python/croniter/Manifest
@@ -1 +1,2 @@
DIST croniter-1.0.15.tar.gz 39164 BLAKE2B daf40bcc7c791dd2a65d2cd132c380dff03353ab6d7920adddff2b1b6a87166050be6ed2b7bac5eb2b9543dcab9a4f2f65738506dc35eff0836cc591e486f885 SHA512 5aebc8a60d278acae3cef7eee6ee0ec223e44ae01b69dae601f76cb14f135547557b1417498d71a84e187dd478605efdf15355f8ad0344e459b6b40d41e994af
+DIST croniter-1.1.0.tar.gz 39641 BLAKE2B 0c01d801b55b0fd6189d5b35f7493580aa25ea18e8be061152c6642fd05a9075c1211578124cd945bb754fda4704f637069a98c5080e41ce369cc3c959b35edf SHA512 ccc56e912d5ff684ec930f87ab096b0a739191014a2d0a76febddf0fe4155a6c319cf28011bea7b8f8034218a35813db65c3d4911ff575878a12f8fe1f75720e
diff --git a/dev-python/croniter/croniter-1.1.0.ebuild b/dev-python/croniter/croniter-1.1.0.ebuild
new file mode 100644
index 000000000000..46c99f822c4d
--- /dev/null
+++ b/dev-python/croniter/croniter-1.1.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python module to provide iteration for datetime object"
+HOMEPAGE="https://github.com/kiorky/croniter https://pypi.org/project/croniter/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/tzlocal[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/httpcore/httpcore-0.13.7.ebuild b/dev-python/httpcore/httpcore-0.13.7.ebuild
index 7504c9af31be..49ea8f4e116b 100644
--- a/dev-python/httpcore/httpcore-0.13.7.ebuild
+++ b/dev-python/httpcore/httpcore-0.13.7.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 sparc x86"
+KEYWORDS="amd64 arm arm64 hppa ppc ppc64 sparc x86"
RDEPEND="
=dev-python/anyio-3*[${PYTHON_USEDEP}]
diff --git a/dev-python/httpx/httpx-0.19.0.ebuild b/dev-python/httpx/httpx-0.19.0.ebuild
index e849dab76d0f..96128c67e4fa 100644
--- a/dev-python/httpx/httpx-0.19.0.ebuild
+++ b/dev-python/httpx/httpx-0.19.0.ebuild
@@ -17,7 +17,7 @@ SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 sparc x86"
+KEYWORDS="amd64 arm arm64 hppa ppc ppc64 sparc x86"
RDEPEND="
dev-python/certifi[${PYTHON_USEDEP}]
@@ -41,19 +41,20 @@ BDEPEND="
distutils_enable_tests pytest
+EPYTEST_DESELECT=(
+ # Internet
+ tests/client/test_proxies.py::test_async_proxy_close
+ tests/client/test_proxies.py::test_sync_proxy_close
+ # known to fail, unimportant test
+ "tests/test_decoders.py::test_text_decoder[data3-iso-8859-1]"
+ tests/models/test_responses.py::test_response_no_charset_with_iso_8859_1_content
+)
+
python_prepare_all() {
+ # increase timeout for slower systems
+ sed -e 's/pool=/&10*/' -i tests/test_timeouts.py || die
# trio does not support py3.10
- sed -i '/^import trio/d' tests/concurrency.py || die
- sed -i '/pytest.param("trio", marks=pytest.mark.trio)/d' tests/conftest.py || die
+ sed -e '/^import trio/d' -i tests/concurrency.py || die
+ sed -e '/pytest.param("trio", marks=pytest.mark.trio)/d' -i tests/conftest.py || die
distutils-r1_python_prepare_all
}
-
-python_test() {
- local deselect=(
- # Internet
- tests/client/test_proxies.py::test_async_proxy_close
- tests/client/test_proxies.py::test_sync_proxy_close
- )
-
- epytest ${deselect[@]/#/--deselect }
-}
diff --git a/dev-python/identify/identify-2.4.0.ebuild b/dev-python/identify/identify-2.4.0.ebuild
index 85ab72285f4c..e9b550d2dfd0 100644
--- a/dev-python/identify/identify-2.4.0.ebuild
+++ b/dev-python/identify/identify-2.4.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/pre-commit/${PN}/archive/refs/tags/v${PV}.tar.gz ->
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~riscv ~x86"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
RDEPEND="
dev-python/ukkonen[${PYTHON_USEDEP}]"
diff --git a/dev-python/packaging/packaging-21.3.ebuild b/dev-python/packaging/packaging-21.3-r1.ebuild
index c29896f9b353..c8b5ee0a159a 100644
--- a/dev-python/packaging/packaging-21.3.ebuild
+++ b/dev-python/packaging/packaging-21.3-r1.ebuild
@@ -19,7 +19,10 @@ LICENSE="|| ( Apache-2.0 BSD-2 )"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND="
- >=dev-python/pyparsing-3.0.6[${PYTHON_USEDEP}]
+ || (
+ >=dev-python/pyparsing-3.0.6[${PYTHON_USEDEP}]
+ <dev-python/pyparsing-3.0.5[${PYTHON_USEDEP}]
+ )
"
DEPEND="
test? (
diff --git a/dev-python/pillow/pillow-8.4.0.ebuild b/dev-python/pillow/pillow-8.4.0.ebuild
index 4eaa12a43a60..d73b457a1ae3 100644
--- a/dev-python/pillow/pillow-8.4.0.ebuild
+++ b/dev-python/pillow/pillow-8.4.0.ebuild
@@ -18,7 +18,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="HPND"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~ppc ~ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ppc ~ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
IUSE="examples imagequant +jpeg jpeg2k lcms test tiff tk truetype webp xcb zlib"
REQUIRED_USE="test? ( jpeg jpeg2k tiff truetype )"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pydantic/pydantic-1.8.2_p20210719.ebuild b/dev-python/pydantic/pydantic-1.8.2_p20210719.ebuild
index 8befd03d1720..0911ec2fca03 100644
--- a/dev-python/pydantic/pydantic-1.8.2_p20210719.ebuild
+++ b/dev-python/pydantic/pydantic-1.8.2_p20210719.ebuild
@@ -18,7 +18,7 @@ S="${WORKDIR}/${PN}-${COMMIT}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 sparc x86"
+KEYWORDS="amd64 arm arm64 hppa ppc ppc64 sparc x86"
RDEPEND="
dev-python/typing-extensions[${PYTHON_USEDEP}]
@@ -38,6 +38,11 @@ PATCHES=(
distutils_enable_tests --install pytest
+EPYTEST_DESELECT=(
+ # flaky test, known upstream
+ tests/test_hypothesis_plugin.py::test_can_construct_models_with_all_fields
+)
+
src_prepare() {
# seriously?
sed -i -e '/CFLAGS/d' setup.py || die
diff --git a/dev-python/pylint/Manifest b/dev-python/pylint/Manifest
index bb2abc140426..e4c1239c9279 100644
--- a/dev-python/pylint/Manifest
+++ b/dev-python/pylint/Manifest
@@ -1,3 +1,4 @@
DIST pylint-2.10.2.gh.tar.gz 813391 BLAKE2B 109f8817e32ddf8d93c9120518e77a1d2f7e61cd1a6362eb1cf9e6d242db72fa1a9271588a3abb28efca54bcc449dce623ae5d5fd63153ec2bc367e008aab465 SHA512 5d694587956c4f11eb4afaec26cefb66ccbe14dc2aacf378a0362326506d80eb2633e0d351c0a20715a3359a9bc438092d77b2e46f7f787210c7ab0555f2722f
DIST pylint-2.11.1.gh.tar.gz 967223 BLAKE2B 435bb4589fa6dbfadfa234f8cb968a1d5c39efaf9b37fd20dfadc6feb1e997b34124386dab777b1aa1657bd9a36055d535e231181c71834517528cbbc04c698f SHA512 fe283b6eb8090414ea99809158b4e7f9fe85187ef6488ec37c5f34430793b0b4ff8afd9c97452fe0bb88efb9be001c0fd9f9a09a23081cb79084ae409b277f34
DIST pylint-2.12.1.gh.tar.gz 1025764 BLAKE2B 650cf89a6b1d39be1eb6e9595e26e84c8f2beb62deebc0886e6a507bcfd7ee4ce87094fd05a139297ea5a4afc4ae5bb2af655bb245d95ac6946f8989efab5531 SHA512 f758775b6ecc8b73096e3556b3c22c81d84baa12d7623448aaa9e2ac19ff5b99112938ee7c8daf7122dbdb4d2b41012a7606213972a2dcf855b450a0a74f0d1e
+DIST pylint-2.12.2.gh.tar.gz 1032702 BLAKE2B de7dce04159b332baa5c23f4034ee249e49f9239c5c9190213a51a84a47ac2129f8a2265e1ad9c01ab448ec58f4f36653c6de5b0be6bfdf6aa286c8887313759 SHA512 0d2b9b785371af0a1c809271153abbab58f50455b34f12370461ded2c4f3d62656e4c0391adff48e179b95da945a2f44e762863e2b7d63808976bf5f684e20d2
diff --git a/dev-python/pylint/pylint-2.12.2.ebuild b/dev-python/pylint/pylint-2.12.2.ebuild
new file mode 100644
index 000000000000..35571655197f
--- /dev/null
+++ b/dev-python/pylint/pylint-2.12.2.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python code static checker"
+HOMEPAGE="https://www.logilab.org/project/pylint
+ https://pypi.org/project/pylint/
+ https://github.com/pycqa/pylint/"
+SRC_URI="
+ https://github.com/pycqa/pylint/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="examples"
+
+# Make sure to check https://github.com/PyCQA/pylint/blob/main/setup.cfg#L43 on bumps
+# Adjust dep bounds!
+RDEPEND="
+ <dev-python/astroid-2.10[${PYTHON_USEDEP}]
+ >=dev-python/astroid-2.9.0[${PYTHON_USEDEP}]
+ >=dev-python/isort-4.2.5[${PYTHON_USEDEP}]
+ <dev-python/isort-6[${PYTHON_USEDEP}]
+ >=dev-python/mccabe-0.6[${PYTHON_USEDEP}]
+ <dev-python/mccabe-0.7[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/toml-0.9.2[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' python3_{8,9})
+"
+BDEPEND="test? ( >=dev-python/GitPython-3[${PYTHON_USEDEP}] )"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2.4.4-sphinx-theme.patch"
+)
+
+distutils_enable_sphinx doc --no-autodoc
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # No need to run the benchmarks
+ tests/benchmark/test_baseline_benchmarks.py
+ )
+ # Specify the test directory explicitly to avoid import file mismatches
+ epytest tests
+}
+
+python_install_all() {
+ if use examples ; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ docinto examples
+ dodoc -r examples/.
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pytest-toolbox/pytest-toolbox-0.4.ebuild b/dev-python/pytest-toolbox/pytest-toolbox-0.4.ebuild
index bd0779048e2d..229db4bf2d99 100644
--- a/dev-python/pytest-toolbox/pytest-toolbox-0.4.ebuild
+++ b/dev-python/pytest-toolbox/pytest-toolbox-0.4.ebuild
@@ -15,7 +15,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 sparc x86"
+KEYWORDS="amd64 arm arm64 hppa ppc ppc64 sparc x86"
BDEPEND="
test? (
diff --git a/dev-python/raet/raet-0.6.8-r3.ebuild b/dev-python/raet/raet-0.6.8-r3.ebuild
index 8ea358857518..798af1ccd9c2 100644
--- a/dev-python/raet/raet-0.6.8-r3.ebuild
+++ b/dev-python/raet/raet-0.6.8-r3.ebuild
@@ -2,6 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
inherit distutils-r1
diff --git a/dev-python/typed-ast/Manifest b/dev-python/typed-ast/Manifest
index 12650b008bc9..d21aa5d5e06d 100644
--- a/dev-python/typed-ast/Manifest
+++ b/dev-python/typed-ast/Manifest
@@ -1 +1,2 @@
DIST typed_ast-1.4.3.tar.gz 210893 BLAKE2B 9e0bbaac73d97c13303c783d4e91b015570d9b9ad74361e1bcfe67259982459003ea6c24602ce004fe1447c4375090d5fa58006e18af28da256f6b25d9aa20b1 SHA512 7ac06e277c883afd1a7161601ffca0114aa63db257695a4bf4c64d819a7192fe52167edb57991aefc7accc6a9902b5faf2ba9e4032c4b9be31f1db7a091607c9
+DIST typed_ast-1.5.1.tar.gz 252316 BLAKE2B 4bb2987cc84277a595c8297563f257e495a4b298885f54b82ce177f5ce610809f462d0022a549e83c4c991e441720f36bd2451eef3487fc68ceda76b845a01d2 SHA512 9e1b1e5da242f29c52857a5a683be47d95b592c788a7c603fc38f637ee64f687253aa58994061681c703addd2405532dfdc0765dd1cadf16b339623901f61355
diff --git a/dev-python/typed-ast/typed-ast-1.5.1.ebuild b/dev-python/typed-ast/typed-ast-1.5.1.ebuild
new file mode 100644
index 000000000000..45aa7c2046ad
--- /dev/null
+++ b/dev-python/typed-ast/typed-ast-1.5.1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python typed-ast backported"
+HOMEPAGE="https://pypi.org/project/typed-ast/ https://github.com/python/typed_ast"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN/-/_}/${P/-/_}.tar.gz"
+S="${WORKDIR}/${P/-/_}"
+
+LICENSE="Apache-2.0 MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+
+distutils_enable_tests pytest
+
+python_test() {
+ cd "${BUILD_DIR}" || die
+ epytest
+}
diff --git a/dev-python/ukkonen/ukkonen-1.0.0.ebuild b/dev-python/ukkonen/ukkonen-1.0.0.ebuild
index 72d77dfa6b84..9db4264b0fad 100644
--- a/dev-python/ukkonen/ukkonen-1.0.0.ebuild
+++ b/dev-python/ukkonen/ukkonen-1.0.0.ebuild
@@ -16,7 +16,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~riscv ~x86"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
RDEPEND="
$(python_gen_cond_dep '
diff --git a/dev-python/uvicorn/uvicorn-0.15.0_p20210913.ebuild b/dev-python/uvicorn/uvicorn-0.15.0_p20210913.ebuild
index b41e11670051..f02ef92a8c07 100644
--- a/dev-python/uvicorn/uvicorn-0.15.0_p20210913.ebuild
+++ b/dev-python/uvicorn/uvicorn-0.15.0_p20210913.ebuild
@@ -15,7 +15,7 @@ S="${WORKDIR}/${PN}-${COMMIT}"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 sparc x86"
+KEYWORDS="amd64 arm arm64 hppa ppc ppc64 sparc x86"
RDEPEND="
>=dev-python/asgiref-3.4.0[${PYTHON_USEDEP}]
diff --git a/dev-python/uvloop/uvloop-0.16.0.ebuild b/dev-python/uvloop/uvloop-0.16.0.ebuild
index e455238e68ab..10dfae8f6260 100644
--- a/dev-python/uvloop/uvloop-0.16.0.ebuild
+++ b/dev-python/uvloop/uvloop-0.16.0.ebuild
@@ -10,7 +10,7 @@ DESCRIPTION="Ultra-fast implementation of asyncio event loop on top of libuv"
HOMEPAGE="https://github.com/magicstack/uvloop"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ppc ~ppc64 -riscv sparc x86"
+KEYWORDS="~alpha amd64 arm ~arm64 hppa ppc ~ppc64 -riscv sparc x86"
LICENSE="MIT"
SLOT="0"
IUSE="doc examples"
diff --git a/dev-python/watchgod/watchgod-0.7.ebuild b/dev-python/watchgod/watchgod-0.7.ebuild
index bae7ff7dcbbc..c564537fcea7 100644
--- a/dev-python/watchgod/watchgod-0.7.ebuild
+++ b/dev-python/watchgod/watchgod-0.7.ebuild
@@ -16,7 +16,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~hppa ppc ppc64 sparc x86"
+KEYWORDS="amd64 arm arm64 hppa ppc ppc64 sparc x86"
BDEPEND="
test? (
diff --git a/dev-python/werkzeug/files/werkzeug-2.0.1-py310.patch b/dev-python/werkzeug/files/werkzeug-2.0.1-py310.patch
deleted file mode 100644
index 56a0166d334d..000000000000
--- a/dev-python/werkzeug/files/werkzeug-2.0.1-py310.patch
+++ /dev/null
@@ -1,103 +0,0 @@
-From 584f3cff7d5cb8a588189ae1137b814cf5c47e05 Mon Sep 17 00:00:00 2001
-From: David Lord <davidism@gmail.com>
-Date: Wed, 19 May 2021 20:01:58 -0700
-Subject: [PATCH] address deprecation warnings from Python 3.10b1
-
----
- tests/conftest.py | 5 ++++-
- tests/test_local.py | 34 +++++++++++++++++++++++++---------
- 2 files changed, 29 insertions(+), 10 deletions(-)
-
-diff --git a/tests/conftest.py b/tests/conftest.py
-index 3b5cbd71c..4ad1ff23e 100644
---- a/tests/conftest.py
-+++ b/tests/conftest.py
-@@ -66,7 +66,10 @@ def connect(self, **kwargs):
-
- if protocol == "https":
- if "context" not in kwargs:
-- kwargs["context"] = ssl.SSLContext()
-+ context = ssl.SSLContext(ssl.PROTOCOL_TLS_CLIENT)
-+ context.check_hostname = False
-+ context.verify_mode = ssl.CERT_NONE
-+ kwargs["context"] = context
-
- return http.client.HTTPSConnection(self.addr, **kwargs)
-
-diff --git a/tests/test_local.py b/tests/test_local.py
-index 537fc32fb..b5c392890 100644
---- a/tests/test_local.py
-+++ b/tests/test_local.py
-@@ -12,6 +12,18 @@
- from werkzeug import local
-
-
-+if sys.version_info < (3, 7):
-+
-+ def run_async(coro):
-+ return asyncio.get_event_loop().run_until_complete(coro)
-+
-+
-+else:
-+
-+ def run_async(coro):
-+ return asyncio.run(coro)
-+
-+
- def test_basic_local():
- ns = local.Local()
- ns.foo = 0
-@@ -55,9 +67,11 @@ async def value_setter(idx):
- await asyncio.sleep(0.02)
- values.append(ns.foo)
-
-- loop = asyncio.get_event_loop()
-- futures = [asyncio.ensure_future(value_setter(idx)) for idx in [1, 2, 3]]
-- loop.run_until_complete(asyncio.gather(*futures))
-+ async def main():
-+ futures = [asyncio.ensure_future(value_setter(i)) for i in [1, 2, 3]]
-+ await asyncio.gather(*futures)
-+
-+ run_async(main())
- assert sorted(values) == [1, 2, 3]
-
- def delfoo():
-@@ -118,9 +132,11 @@ async def task():
- ls.push(1)
- assert len(ls._local.stack) == 2
-
-- loop = asyncio.get_event_loop()
-- futures = [asyncio.ensure_future(task()) for _ in range(3)]
-- loop.run_until_complete(asyncio.gather(*futures))
-+ async def main():
-+ futures = [asyncio.ensure_future(task()) for _ in range(3)]
-+ await asyncio.gather(*futures)
-+
-+ run_async(main())
-
-
- @pytest.mark.skipif(
-@@ -571,7 +587,7 @@ async def get():
- async def main():
- return await p
-
-- out = asyncio.get_event_loop().run_until_complete(main())
-+ out = run_async(main())
- assert out == 1
-
-
-@@ -599,7 +615,7 @@ async def main():
-
- return out
-
-- out = asyncio.get_event_loop().run_until_complete(main())
-+ out = run_async(main())
- assert out == [2, 1, 0]
-
-
-@@ -623,4 +639,4 @@ async def main():
- assert p.value == 2
- return True
-
-- assert asyncio.get_event_loop().run_until_complete(main())
-+ assert run_async(main())
diff --git a/dev-python/werkzeug/files/werkzeug-2.0.1-test-warning.patch b/dev-python/werkzeug/files/werkzeug-2.0.1-test-warning.patch
deleted file mode 100644
index 3bb14ab6ba42..000000000000
--- a/dev-python/werkzeug/files/werkzeug-2.0.1-test-warning.patch
+++ /dev/null
@@ -1,75 +0,0 @@
-From 4201d0f6d1b337a0e69900a79042215896eede4a Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
-Date: Sat, 19 Jun 2021 09:51:43 +0200
-Subject: [PATCH] Fix warning tests to work correctly without -Werror
-
-Use pytest.warns() instead of pytest.raises() to test for warnings,
-in order to make these tests work correctly without -Werror. This does
-not change the behavior with -Werror.
-
-While -Werror is useful for package maintainers / CI, it is problematic
-for testing on end user systems. For end users, it is important whether
-the particular version of package is going to work on their setup,
-not whether it does not use anything that's deprecated but still
-working.
----
- CHANGES.rst | 2 ++
- tests/test_wrappers.py | 12 ++++++------
- 2 files changed, 8 insertions(+), 6 deletions(-)
-
-diff --git a/CHANGES.rst b/CHANGES.rst
-index 8fa1e454..9a05145f 100644
---- a/CHANGES.rst
-+++ b/CHANGES.rst
-@@ -5,6 +5,8 @@ Version 2.1.0
-
- Unreleased
-
-+- Fix warning tests to work correctly without -Werror
-+
-
- Version 2.0.2
- -------------
-diff --git a/tests/test_wrappers.py b/tests/test_wrappers.py
-index 3ac80003..fe8c01f3 100644
---- a/tests/test_wrappers.py
-+++ b/tests/test_wrappers.py
-@@ -1633,29 +1633,29 @@ def test_response_mixins_deprecated(cls):
- class CheckResponse(cls, wrappers.Response):
- pass
-
-- with pytest.raises(DeprecationWarning, match=cls.__name__):
-+ with pytest.warns(DeprecationWarning, match=cls.__name__):
- CheckResponse()
-
-
- def test_check_base_deprecated():
-- with pytest.raises(DeprecationWarning, match=r"issubclass\(cls, Request\)"):
-+ with pytest.warns(DeprecationWarning, match=r"issubclass\(cls, Request\)"):
- assert issubclass(wrappers.Request, wrappers.BaseRequest)
-
-- with pytest.raises(DeprecationWarning, match=r"isinstance\(obj, Request\)"):
-+ with pytest.warns(DeprecationWarning, match=r"isinstance\(obj, Request\)"):
- assert isinstance(
- wrappers.Request({"SERVER_NAME": "example.org", "SERVER_PORT": "80"}),
- wrappers.BaseRequest,
- )
-
-- with pytest.raises(DeprecationWarning, match=r"issubclass\(cls, Response\)"):
-+ with pytest.warns(DeprecationWarning, match=r"issubclass\(cls, Response\)"):
- assert issubclass(wrappers.Response, wrappers.BaseResponse)
-
-- with pytest.raises(DeprecationWarning, match=r"isinstance\(obj, Response\)"):
-+ with pytest.warns(DeprecationWarning, match=r"isinstance\(obj, Response\)"):
- assert isinstance(wrappers.Response(), wrappers.BaseResponse)
-
-
- def test_response_freeze_no_etag_deprecated():
-- with pytest.raises(DeprecationWarning, match="no_etag"):
-+ with pytest.warns(DeprecationWarning, match="no_etag"):
- Response("Hello, World!").freeze(no_etag=True)
-
-
---
-2.32.0
-